## Update Regional Hostname `client.addressing.regionalHostnames.edit(stringhostname, RegionalHostnameEditParamsparams, RequestOptionsoptions?): RegionalHostnameEditResponse` **patch** `/zones/{zone_id}/addressing/regional_hostnames/{hostname}` Update the configuration for a specific Regional Hostname. Only the region_key of a hostname is mutable. ### Parameters - `hostname: string` DNS hostname to be regionalized, must be a subdomain of the zone. Wildcards are supported for one level, e.g `*.example.com` - `params: RegionalHostnameEditParams` - `zone_id: string` Path param: Identifier. - `region_key: string` Body param: Identifying key for the region ### Returns - `RegionalHostnameEditResponse` - `created_on: string` When the regional hostname was created - `hostname: string` DNS hostname to be regionalized, must be a subdomain of the zone. Wildcards are supported for one level, e.g `*.example.com` - `region_key: string` Identifying key for the region - `routing?: string` Configure which routing method to use for the regional hostname ### Example ```node import Cloudflare from 'cloudflare'; const client = new Cloudflare({ apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted }); const response = await client.addressing.regionalHostnames.edit('foo.example.com', { zone_id: '023e105f4ecef8ad9ca31a8372d0c353', region_key: 'ca', }); console.log(response.created_on); ``` #### Response ```json { "errors": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "messages": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "success": true, "result": { "created_on": "2014-01-01T05:20:00.12345Z", "hostname": "foo.example.com", "region_key": "ca", "routing": "dns" } } ```